Bug 1115416 - qdrouterd.service looks for config file in the wrong place
Summary: qdrouterd.service looks for config file in the wrong place
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-dispatch
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-02 10:14 UTC by Mark McLoughlin
Modified: 2014-07-28 17:01 UTC (History)
5 users (show)

Fixed In Version: qpid-dispatch-0.2-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-19 05:55:28 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2014-07-02 10:14:39 UTC
This error when starting qdrouterd:

  Jul 02 11:07:56 sorcha qdrouterd[14299]: Wed Jul  2 11:07:56 2014 config.parser (INFO) Reading Configuration File: /etc/qpid/qdrouterd.conf
  Jul 02 11:07:56 sorcha qdrouterd[14299]: Wed Jul  2 11:07:56 2014 config.parser (CRITICAL) Exception in Configuration File Processing: IOError(2, 'No such file or directory')

Obvious issue here:

  $ grep ExecStart /usr/lib/systemd/system/qdrouterd.service
  ExecStart=/usr/sbin/qdrouterd -c /etc/qpid/qdrouterd.conf
  $ rpm -ql qpid-dispatch-router
  /etc/qpid-dispatch/qdrouterd.conf

Should the conf file be installed in /etc/qpid or should the systemd service file be fixed?

This is with: qpid-dispatch-router-0.2-3.fc20.x86_64

Comment 1 Fedora Update System 2014-07-02 14:33:48 UTC
qpid-dispatch-0.2-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.2-5.fc20

Comment 2 Fedora Update System 2014-07-02 14:58:45 UTC
qpid-dispatch-0.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.2-5.fc19

Comment 3 Fedora Update System 2014-07-02 15:04:11 UTC
qpid-dispatch-0.2-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.2-5.el6

Comment 4 Fedora Update System 2014-07-03 04:01:09 UTC
Package qpid-dispatch-0.2-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qpid-dispatch-0.2-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7993/qpid-dispatch-0.2-5.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-07-09 21:39:30 UTC
qpid-dispatch-0.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.2-6.fc20

Comment 6 Fedora Update System 2014-07-09 21:44:46 UTC
qpid-dispatch-0.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.2-6.fc19

Comment 7 Fedora Update System 2014-07-09 21:50:46 UTC
qpid-dispatch-0.2-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.2-6.el6

Comment 8 lnie 2014-07-11 03:55:37 UTC
Tested with qpid-dispatch-0.2-6.fc20, qdrouterd started without that error in comm0

Comment 9 Fedora Update System 2014-07-19 05:55:28 UTC
qpid-dispatch-0.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-07-19 05:58:21 UTC
qpid-dispatch-0.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-07-28 17:01:12 UTC
qpid-dispatch-0.2-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.